%define name pavuk
%define version 0.9.35
%define release %mkrel 6

Summary:	Pavuk WWW grabber
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2+
Group:		Networking/WWW
Source:		http://nchc.dl.sourceforge.net/sourceforge/pavuk/%name-%version.tar.bz2
Patch0:		pavuk-0.9.35-fix-desktop-file.patch
Patch1:		pavuk-0.9.34-gcc43.patch
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	openssl-devel
BuildRequires:	libx11-devel
BuildRequires:	libxmu-devel
BuildRequires:	zlib-devel
URL:		http://pavuk.sourceforge.net/

%description
WWW graber used to mirror files located on HTTP, HTTPS, FTP, Gopher servers.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x --with-x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -m 644 -D pavuk.desktop %buildroot/%_datadir/applications/%{name}.desktop

%find_lang %name
 
%if %mdkversion < 200900
%post
%update_menus
%endif
  
%if %mdkversion < 200900
%postun
%clean_menus  
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README BUGS TODO CREDITS 
%doc pavukrc.sample pavuk_authinfo.sample MAILINGLIST wget-pavuk.HOWTO button_icons/
%_bindir/*
%_datadir/icons/*.xpm
%_mandir/man1/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 0.9.35-6mdv2010.1
+ Revision: 541576
- fix build with gcc 4.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 10 2007 Funda Wang <fwang@mandriva.org> 0.9.35-2mdv2008.1
+ Revision: 116823
- fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Jul 31 2007 Nicolas Vigier <nvigier@mandriva.com> 0.9.35-1mdv2008.0
+ Revision: 57045
- fix menu
- add BuildRequires on gtk2-devel
- indent tags
- new version
- Import pavuk



* Thu Apr 20 2006 Lenny Cartier <lenny@mandriva.com> 0.9.34-1mdk
- 0.9.34

* Tue Apr 26 2005 Lenny Cartier <lenny@mandriva.com> 0.9.32-1mdk
- 0.9.32

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl28-4mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl28-3mdk
- rebuild

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl28-2mdk
- icon

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl28-1mdk
- updated to 9pl28

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl27-2mdk
- rebuild

* Fri Dec 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl27-1mdk
- updated to 0.9pl27

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl26-1mdk
- new in contribs
